#!/bin/sh
#

# CHANGES
#
#	2004-06-26: Added Fedora Core  init modification scripts
#	2003-11-12: Added RedHat 8 and 9  init modification scripts
#

	# Check the sanity of the parameters we've been supplied
	#
if [ "a$@" = "a" ]; then
	printf "$0:- Error - no installation directory supplied.\n"
	exit 1
fi


printf "XamimeLT OS init configuration update tool\n"

for i in init_*; do
   printf "Trying $i...\n"
   ./$i $1
   if [ $? -eq 0 ]; then
      printf "Done.\n"
      exit 0
   fi
done

printf "Could not find a suitable installation script.\n"

