#!/bin/sh

# This script will attempt to unarchive all the files located
#	in a given directory (as supplied by $1)
#
UDIR=$1


for afile in $UDIR; do
	
	# Determine what sort of file each file is...

	FTYPE=`file $afile`
	
	echo $FTYPE |grep -q 'bzip2'
	if [ $? -eq 0 ]; then
		bunzip2 $afile
		fi

	echo $FTYPE |grep -q 'gzip'
	if [ $? -eq 0 ]; then
		gunzip $afile
		fi

	echo $FSTYPE | grep -qi 'tar archive'
	if [ $? -eq 0 ]; then
		tar  --directory $UDIR -xf $afile
		fi

	echo $FSTYPE | grep -qi 'Zip archive data'
	if [ $? -eq 0 ]; then
		unzip $afile -d $UDIR
	fi


done

