
#ifndef REPLACE_TEXT__
#define REPLACE_TEXT__



struct RPLTXT_variable_node {
	char *name;
	size_t name_len;
	char *value;
	size_t value_len;

	struct RPLTXT_variable_node *next;
};

struct RPLTXT_object {
	struct RPLTXT_variable_node *variables;

	int is_initialized;

	char variable_token;

	char *output_text;
};

int RPLTXT_init( struct RPLTXT_object *rpl );
int RPLTXT_add_variable( struct RPLTXT_object *rpl, char *new_varname, char *new_replacement_text );
char *RPLTXT_convert( struct RPLTXT_object *rpl, char *source );
int RPLTXT_done( struct RPLTXT_object *rpl );


#endif
