#
# Start scanning within the file for text we want to block.
# Thanks to Rick Onanian for these additions
#
# 1.0.3 - changed -rli to $grep_flags, this increases portability
# between OS's of which some do not support the -r flag
#
#$grep $grep_flags "sexx" ${tmpdir}/* >> ${textbadfileslog}
#$grep $grep_flags "Subject: resume" ${tmpdir}/* >> ${textbadfileslog}
#$grep $grep_flags "Kill the boss" ${tmpdir}/* >> ${textbadfileslog}

# Deny password containing viruses
$grep $grep_flags -E 'attach.*password.*[0123456789]{3,}' ${tmpdir}/* >> ${textbadfileslog}

TB=`cat $textbadfileslog | $uriencode`
echo "TYPEBLOCKS=$TB" >> $reportvars

#-----------------------------------------------END

