# Inflex Type tests
#
# In here, place anything you like for type testing
#
# If you output anything to the ${typebadfileslog}, that will
#	cause xamimeLT to register a "hit" on the type testing.
#


# Generate the filetype list, so that we can test the 
#	contents with things like GREP
$file -f $filelist > $fileresults

# Check the output of the filetype list to see if there's
#	anything of interest that we want to block.  
#
#	For details on what to look for to block certain types
#	take a look at the magic file database /etc/magic
#
${cut} -d: -f2  $fileresults | ${grep} -iE "(MS-DOS|Windows PE).*executable" >> ${typebadfileslog}
${cut} -d: -f2  $fileresults | ${grep} "PC bitmap data"  >> ${typebadfileslog}
${cut} -d: -f2  $fileresults | ${grep} -iE "(AVI|MPEG|WAVE)"  >> ${typebadfileslog}

BY=`cat $typebadfileslog | $uriencode`
echo "TYPEBLOCKS=$BY" >> $reportvars


#-----------------------------------------------END
